Creates a new job work instruction list.

Request Information

URI Parameters :

None.

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "fb3cbbee-b2a4-4a6e-b89d-04e5f49a6144",
  "jobs_id": "6812372b-bee4-44cd-a0f9-3c640b67e673",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "0e1753a9-94f5-40d3-81e0-5def328652d3",
    "_parent_id": "eb4ad15b-f28c-4c00-a775-28c156edcd3d",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "c4c1dd62-2bc8-478c-9b5a-7793532988b8",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "ea87b022-15eb-4fab-8d68-ea350462bf14",
      "_parent_id": "3c17baa5-c1b8-4534-affb-68b20d1f9ab5",
      "root_parent_id": "26c10db3-041e-47ec-aba5-f077436b6806",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "60477049-40ec-477e-9091-74df3cf73110",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "e14dd96f-fbbb-499a-89c6-0ac9ffa3873e",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "a628c964-f90f-413a-a149-19d89c38c67e",
        "_parent_code": "sample string 6",
        "sales_organization_id": "6398004b-d78f-44b9-9c44-dc3b0de442ce",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "ef528cac-1f1f-4a8d-b64c-05c960192f64",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "904c9a2c-ba73-4b46-8d1c-417ac8844b87",
          "db_currency_id": "da178181-f361-45c9-84e2-27bddd494ea5",
          "db_language_id": "d79bd136-f1e4-4ea0-80ea-5109071adf2d",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-13T07:58:50.5087185+00:00"
        },
        "modified_dateutc": "2026-11-13T07:58:50.5087185+00:00"
      },
      "equipment_model_id": "b64aea78-35ba-4e77-85a5-87389e720669",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "a2a5dad1-4c82-43ee-9d8f-7b80a325c603",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "0151ca45-dd33-4acc-9f46-e1f7517f585a",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "deb20741-7218-41b4-b078-d3e137f53ca9",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "b869d529-da31-42c5-9ebf-a87f4263ad97",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "ef528cac-1f1f-4a8d-b64c-05c960192f64",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "904c9a2c-ba73-4b46-8d1c-417ac8844b87",
            "db_currency_id": "da178181-f361-45c9-84e2-27bddd494ea5",
            "db_language_id": "d79bd136-f1e4-4ea0-80ea-5109071adf2d",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-13T07:58:50.5087185+00:00"
          },
          "modified_dateutc": "2026-11-13T07:58:50.5087185+00:00"
        },
        "equipment_family_id": "86b8aeee-88de-4a8a-8f99-9c92e8d909ad",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "e14dd96f-fbbb-499a-89c6-0ac9ffa3873e",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "a628c964-f90f-413a-a149-19d89c38c67e",
          "_parent_code": "sample string 6",
          "sales_organization_id": "6398004b-d78f-44b9-9c44-dc3b0de442ce",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "ef528cac-1f1f-4a8d-b64c-05c960192f64",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "904c9a2c-ba73-4b46-8d1c-417ac8844b87",
            "db_currency_id": "da178181-f361-45c9-84e2-27bddd494ea5",
            "db_language_id": "d79bd136-f1e4-4ea0-80ea-5109071adf2d",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-13T07:58:50.5087185+00:00"
          },
          "modified_dateutc": "2026-11-13T07:58:50.5087185+00:00"
        },
        "date_in_production_since": "2026-11-13T07:58:50.5087185+00:00",
        "date_out_of_production_since": "2026-11-13T07:58:50.5087185+00:00",
        "date_end_support": "2026-11-13T07:58:50.5087185+00:00",
        "sales_organization_id": "fb8d3389-03b1-4112-a53c-1a165d2cacb2",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "ef528cac-1f1f-4a8d-b64c-05c960192f64",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "904c9a2c-ba73-4b46-8d1c-417ac8844b87",
          "db_currency_id": "da178181-f361-45c9-84e2-27bddd494ea5",
          "db_language_id": "d79bd136-f1e4-4ea0-80ea-5109071adf2d",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-13T07:58:50.5087185+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-11-13T07:58:50.520213+00:00"
      },
      "project_status_id": "053bcf0d-4111-407d-8ad2-d3f4cebc0320",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "e078d0a7-87ab-4fcd-b38f-ca47d7463417",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "22e98b4a-9625-4d70-b59e-9ac385c149de",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "ef528cac-1f1f-4a8d-b64c-05c960192f64",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "904c9a2c-ba73-4b46-8d1c-417ac8844b87",
          "db_currency_id": "da178181-f361-45c9-84e2-27bddd494ea5",
          "db_language_id": "d79bd136-f1e4-4ea0-80ea-5109071adf2d",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-13T07:58:50.5087185+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-11-13T07:58:50.520213+00:00"
      },
      "company_id": "0ec3736b-083c-425d-b744-bb722cdc133e",
      "company_code": "sample string 12",
      "db_address_id": "935a8eee-0ec7-4a71-bc3d-ad21700f6179",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "8836148a-80a1-4993-b85c-f2752e927d96",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "f7933677-4260-4d4e-a2a7-b559ef9119a8",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-11-13T07:58:50.520213+00:00",
      "date_create": "2026-11-13T07:58:50.520213+00:00",
      "date_update": "2026-11-13T07:58:50.520213+00:00",
      "updated_by_user_id": "e559ec21-11d4-46cf-8257-8f9c1ec9ce97",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-11-13T07:58:50.520213+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-11-13T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-11-13T07:58:50.520213+00:00",
      "date_last_job": "2026-11-13T07:58:50.520213+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-11-13T07:58:50.520213+00:00",
      "modified_dateutc": "2026-11-13T07:58:50.520213+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "984abc49-df9f-42e6-8539-559b50d42030",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "97447f43-7d23-480f-ab34-bb312c9f1835",
      "name": "sample string 2",
      "sales_organization_id": "09d15661-70e7-4fde-808e-22ac0ae46bfa",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-11-13T07:58:50.520213+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "960f4372-d2f3-4a24-8c4c-c0571523b670",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "88434785-4cd1-4a9a-baf1-f1054f946331",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "75dd3f06-74fc-4e41-9903-6e7d7d3283c2",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "ef528cac-1f1f-4a8d-b64c-05c960192f64",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "904c9a2c-ba73-4b46-8d1c-417ac8844b87",
        "db_currency_id": "da178181-f361-45c9-84e2-27bddd494ea5",
        "db_language_id": "d79bd136-f1e4-4ea0-80ea-5109071adf2d",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-13T07:58:50.5087185+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-11-13T07:58:50.5358449+00:00"
    },
    "job_status_id": "b7fc7b5f-7cc0-4398-9ce0-3cdb1335974b",
    "job_status_code": "sample string 11",
    "db_address_id": "edb47a74-0bfb-43b5-a452-5ceafc1fc01f",
    "contact_id": "782073ad-b551-4490-b03b-f8b2920dfb78",
    "requested_by_company_id": "ffecf10f-9a05-416d-a568-7773c9133fb7",
    "requested_by_contact_id": "8873b760-e257-4cbe-9b3f-7db15a0cb6b3",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-11-13T07:58:50.5358449+00:00",
    "due_date": "2026-11-13T07:58:50.5358449+00:00",
    "date_create": "2026-11-13T07:58:50.5358449+00:00",
    "date_update": "2026-11-13T07:58:50.5358449+00:00",
    "date_closed": "2026-11-13T07:58:50.5358449+00:00",
    "suggested_user_id": "6f15a026-3658-4dd2-84eb-19061aa5695e",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "56af94ed-2fc0-47c1-b61f-140d264c424c",
      "db_language_id": "e94015e5-3dff-4b74-ab26-f71bd201ab26",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-11-13T07:58:50.5358449+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "23c6a89f-b30f-4095-8aa6-2c0ee9294f51",
      "sales_organization": {
        "id": "ef528cac-1f1f-4a8d-b64c-05c960192f64",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "904c9a2c-ba73-4b46-8d1c-417ac8844b87",
        "db_currency_id": "da178181-f361-45c9-84e2-27bddd494ea5",
        "db_language_id": "d79bd136-f1e4-4ea0-80ea-5109071adf2d",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-13T07:58:50.5087185+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "9268deec-79f3-4858-a209-b1eddf3aaa45",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "cc6256df-da86-4424-9f23-fe3393c44668",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-11-13T07:58:50.5358449+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "0b85a99d-e289-477a-b145-36ac1933463f"
    },
    "suggested_date_start": "2026-11-13T07:58:50.5358449+00:00",
    "skill_id": "9d7e1551-b3b8-4d51-9fad-6e2a0005c8f0",
    "skill_code": "sample string 32",
    "skill": {
      "id": "a0ca5c7f-f3e1-4eac-bb45-29073e0da815",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "eb0fc630-c4ea-4077-8d59-7cba44a15e9d",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "ef528cac-1f1f-4a8d-b64c-05c960192f64",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "904c9a2c-ba73-4b46-8d1c-417ac8844b87",
        "db_currency_id": "da178181-f361-45c9-84e2-27bddd494ea5",
        "db_language_id": "d79bd136-f1e4-4ea0-80ea-5109071adf2d",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-13T07:58:50.5087185+00:00"
      },
      "modified_dateutc": "2026-11-13T07:58:50.5358449+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "dd4aadac-9405-43ef-a256-77b133342dda",
    "date_reported_by_company": "2026-11-13T07:58:50.5358449+00:00",
    "id2": 36,
    "company_id": "9627188c-53a8-482f-a30c-a7db23675865",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "5f92ff9d-3964-4202-a9d0-cb5cc63a59cf",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-11-13T07:58:50.5358449+00:00"
  },
  "work_instruction_details_id": "44640112-213f-4810-a810-182747a96a87",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "b253216e-33ca-4246-aa2d-bbf5b11ec822",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "783582b3-d695-482d-9a0e-01f7508c1ccc",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-11-13T07:58:50.5358449+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "7b64744b-34f5-4559-b104-fda4a297a81f",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-11-13T07:58:50.5358449+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.